<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__dma__descriptor__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_dma_descriptor_config_t</compoundname>
    <includes local="no">cy_dma.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__dma__descriptor__config__t_1afcc039279bc1e7d50b0813778772f3c0" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__dma__enums_1ga8ea649c82d5e7d4d4bd72403468aadee">cy_en_dma_retrigger_t</ref></type>
        <definition>cy_en_dma_retrigger_t cy_stc_dma_descriptor_config_t::retrigger</definition>
        <argsstring />
        <name>retrigger</name>
        <briefdescription>
<para>Specifies whether the DW controller should wait for the input trigger to be deactivated. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="422" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="422" />
      </memberdef>
      <memberdef id="structcy__stc__dma__descriptor__config__t_1a24d1190242541ecaacf98b3f88fbb76f" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__dma__enums_1ga46664f020f211baf0651e6c85c3c3e76">cy_en_dma_trigger_type_t</ref></type>
        <definition>cy_en_dma_trigger_type_t cy_stc_dma_descriptor_config_t::interruptType</definition>
        <argsstring />
        <name>interruptType</name>
        <briefdescription>
<para>Sets the event that triggers an interrupt. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="member" refid="group__group__dma__enums_1ga46664f020f211baf0651e6c85c3c3e76">cy_en_dma_trigger_type_t</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="423" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="423" />
      </memberdef>
      <memberdef id="structcy__stc__dma__descriptor__config__t_1a52d032ede5148bd7ccd876a889a75b6e" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__dma__enums_1ga46664f020f211baf0651e6c85c3c3e76">cy_en_dma_trigger_type_t</ref></type>
        <definition>cy_en_dma_trigger_type_t cy_stc_dma_descriptor_config_t::triggerOutType</definition>
        <argsstring />
        <name>triggerOutType</name>
        <briefdescription>
<para>Sets the event that triggers an output. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="member" refid="group__group__dma__enums_1ga46664f020f211baf0651e6c85c3c3e76">cy_en_dma_trigger_type_t</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="424" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="424" />
      </memberdef>
      <memberdef id="structcy__stc__dma__descriptor__config__t_1a5022f09baba084b5a4d970e6c6c17fc8" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__dma__enums_1ga75740ce8bf02f62bc9e6c86307369f67">cy_en_dma_channel_state_t</ref></type>
        <definition>cy_en_dma_channel_state_t cy_stc_dma_descriptor_config_t::channelState</definition>
        <argsstring />
        <name>channelState</name>
        <briefdescription>
<para>Specifies whether the channel is enabled or disabled on completion of descriptor. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="member" refid="group__group__dma__enums_1ga75740ce8bf02f62bc9e6c86307369f67">cy_en_dma_channel_state_t</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="425" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="425" />
      </memberdef>
      <memberdef id="structcy__stc__dma__descriptor__config__t_1a812ec882fb732307e9fd783f56424b4c" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__dma__enums_1ga46664f020f211baf0651e6c85c3c3e76">cy_en_dma_trigger_type_t</ref></type>
        <definition>cy_en_dma_trigger_type_t cy_stc_dma_descriptor_config_t::triggerInType</definition>
        <argsstring />
        <name>triggerInType</name>
        <briefdescription>
<para>Sets what type of transfer is triggered. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="member" refid="group__group__dma__enums_1ga46664f020f211baf0651e6c85c3c3e76">cy_en_dma_trigger_type_t</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="426" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="426" />
      </memberdef>
      <memberdef id="structcy__stc__dma__descriptor__config__t_1ab91e69de7bf26cba25353fe627e5faf2" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__dma__enums_1ga167a5222a0d666c6ce9e8382e56ac192">cy_en_dma_data_size_t</ref></type>
        <definition>cy_en_dma_data_size_t cy_stc_dma_descriptor_config_t::dataSize</definition>
        <argsstring />
        <name>dataSize</name>
        <briefdescription>
<para>The size of the data bus for transfer. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="member" refid="group__group__dma__enums_1ga167a5222a0d666c6ce9e8382e56ac192">cy_en_dma_data_size_t</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="427" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="427" />
      </memberdef>
      <memberdef id="structcy__stc__dma__descriptor__config__t_1aa79133a1c99f1802ced9e31a4970f623" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__dma__enums_1ga2e6a1fad6945ca581ebd0fdbb8748314">cy_en_dma_transfer_size_t</ref></type>
        <definition>cy_en_dma_transfer_size_t cy_stc_dma_descriptor_config_t::srcTransferSize</definition>
        <argsstring />
        <name>srcTransferSize</name>
        <briefdescription>
<para>The source transfer size. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="428" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="428" />
      </memberdef>
      <memberdef id="structcy__stc__dma__descriptor__config__t_1af060eb3020cb431eb42065b93350285b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__dma__enums_1ga2e6a1fad6945ca581ebd0fdbb8748314">cy_en_dma_transfer_size_t</ref></type>
        <definition>cy_en_dma_transfer_size_t cy_stc_dma_descriptor_config_t::dstTransferSize</definition>
        <argsstring />
        <name>dstTransferSize</name>
        <briefdescription>
<para>The destination transfer size. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="429" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="429" />
      </memberdef>
      <memberdef id="structcy__stc__dma__descriptor__config__t_1afaadf17e4d711b1d357787ff17756f8e" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__dma__enums_1ga69516534f5a562e8a2f55bb4203851d0">cy_en_dma_descriptor_type_t</ref></type>
        <definition>cy_en_dma_descriptor_type_t cy_stc_dma_descriptor_config_t::descriptorType</definition>
        <argsstring />
        <name>descriptorType</name>
        <briefdescription>
<para>The type of the descriptor. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="member" refid="group__group__dma__enums_1ga69516534f5a562e8a2f55bb4203851d0">cy_en_dma_descriptor_type_t</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="430" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="430" />
      </memberdef>
      <memberdef id="structcy__stc__dma__descriptor__config__t_1a2d445d72c32caec445defca4ef8898cf" kind="variable" mutable="no" prot="public" static="no">
        <type>void *</type>
        <definition>void* cy_stc_dma_descriptor_config_t::srcAddress</definition>
        <argsstring />
        <name>srcAddress</name>
        <briefdescription>
<para>The source address of the transfer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="431" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="431" />
      </memberdef>
      <memberdef id="structcy__stc__dma__descriptor__config__t_1a02bb836b663f7bdf8979e806dc813917" kind="variable" mutable="no" prot="public" static="no">
        <type>void *</type>
        <definition>void* cy_stc_dma_descriptor_config_t::dstAddress</definition>
        <argsstring />
        <name>dstAddress</name>
        <briefdescription>
<para>The destination address of the transfer. </para>        </briefdescription>
        <detaileddescription>
<para>For CPUSS_ver2 only: for CRC transfer, the CRC result without post-processing (reversing and/or XORing, if used) is placed into the dstAddress. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="432" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="432" />
      </memberdef>
      <memberdef id="structcy__stc__dma__descriptor__config__t_1af487efdef7f9cd209f783d24ce1a4bd9" kind="variable" mutable="no" prot="public" static="no">
        <type>int32_t</type>
        <definition>int32_t cy_stc_dma_descriptor_config_t::srcXincrement</definition>
        <argsstring />
        <name>srcXincrement</name>
        <briefdescription>
<para>The address increment of the source after each X-loop transfer. </para>        </briefdescription>
        <detaileddescription>
<para>Valid range is -2048 ... 2047. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="436" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="436" />
      </memberdef>
      <memberdef id="structcy__stc__dma__descriptor__config__t_1a389c0565be605fcda996e76eb9552853" kind="variable" mutable="no" prot="public" static="no">
        <type>int32_t</type>
        <definition>int32_t cy_stc_dma_descriptor_config_t::dstXincrement</definition>
        <argsstring />
        <name>dstXincrement</name>
        <briefdescription>
<para>The address increment of the destination after each X-loop transfer. </para>        </briefdescription>
        <detaileddescription>
<para>Valid range is -2048 ... 2047. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="437" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="437" />
      </memberdef>
      <memberdef id="structcy__stc__dma__descriptor__config__t_1a23df6ae648618339b9221ad95363f328" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_dma_descriptor_config_t::xCount</definition>
        <argsstring />
        <name>xCount</name>
        <briefdescription>
<para>The number of transfers in an X-loop. </para>        </briefdescription>
        <detaileddescription>
<para>Valid range is 1 ... 256. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="438" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="438" />
      </memberdef>
      <memberdef id="structcy__stc__dma__descriptor__config__t_1a74d85b6aacd82758cfa183f20787fb50" kind="variable" mutable="no" prot="public" static="no">
        <type>int32_t</type>
        <definition>int32_t cy_stc_dma_descriptor_config_t::srcYincrement</definition>
        <argsstring />
        <name>srcYincrement</name>
        <briefdescription>
<para>The address increment of the source after each Y-loop transfer. </para>        </briefdescription>
        <detaileddescription>
<para>Valid range is -2048 ... 2047. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="439" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="439" />
      </memberdef>
      <memberdef id="structcy__stc__dma__descriptor__config__t_1afb2f61e8c6c07c5dde46b9a3407f526b" kind="variable" mutable="no" prot="public" static="no">
        <type>int32_t</type>
        <definition>int32_t cy_stc_dma_descriptor_config_t::dstYincrement</definition>
        <argsstring />
        <name>dstYincrement</name>
        <briefdescription>
<para>The address increment of the destination after each Y-loop transfer. </para>        </briefdescription>
        <detaileddescription>
<para>Valid range is -2048 ... 2047. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="440" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="440" />
      </memberdef>
      <memberdef id="structcy__stc__dma__descriptor__config__t_1a4708f3e8e216ff8a637cf9caf6084f23" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_dma_descriptor_config_t::yCount</definition>
        <argsstring />
        <name>yCount</name>
        <briefdescription>
<para>The number of X-loops in the Y-loop. </para>        </briefdescription>
        <detaileddescription>
<para>Valid range is 1 ... 256. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="441" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="441" />
      </memberdef>
      <memberdef id="structcy__stc__dma__descriptor__config__t_1a6bbdfa16f3b38866a9e6d4242814b45e" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__dma__descriptor__t">cy_stc_dma_descriptor_t</ref> *</type>
        <definition>cy_stc_dma_descriptor_t* cy_stc_dma_descriptor_config_t::nextDescriptor</definition>
        <argsstring />
        <name>nextDescriptor</name>
        <briefdescription>
<para>The next descriptor to chain after completion. </para>        </briefdescription>
        <detaileddescription>
<para>A NULL value will signify no chaining. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="442" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="442" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This structure is a configuration structure pre-initialized by the user and passed as a parameter to the <ref kindref="member" refid="group__group__dma__descriptor__functions_1gab1610fab6f2dd5fd25c031ac0aa9d8cb">Cy_DMA_Descriptor_Init()</ref>. </para>    </briefdescription>
    <detaileddescription>
<para>It can be allocated in RAM/flash (the user's choice). In case of flash allocation, there is a possibility to reinitialize the descriptor in runtime. This structure has all the parameters of the descriptor as separate parameters. Most of these parameters are represented in the <ref kindref="compound" refid="structcy__stc__dma__descriptor__t">cy_stc_dma_descriptor_t</ref> structure as bitfields. </para>    </detaileddescription>
    <collaborationgraph>
      <node id="153">
        <label>cy_stc_dma_descriptor_t</label>
        <link refid="structcy__stc__dma__descriptor__t" />
      </node>
      <node id="152">
        <label>cy_stc_dma_descriptor_config_t</label>
        <link refid="structcy__stc__dma__descriptor__config__t" />
        <childnode refid="153" relation="usage">
          <edgelabel>nextDescriptor</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="443" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="420" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="421" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__dma__descriptor__config__t_1a5022f09baba084b5a4d970e6c6c17fc8" virt="non-virtual"><scope>cy_stc_dma_descriptor_config_t</scope><name>channelState</name></member>
      <member prot="public" refid="structcy__stc__dma__descriptor__config__t_1ab91e69de7bf26cba25353fe627e5faf2" virt="non-virtual"><scope>cy_stc_dma_descriptor_config_t</scope><name>dataSize</name></member>
      <member prot="public" refid="structcy__stc__dma__descriptor__config__t_1afaadf17e4d711b1d357787ff17756f8e" virt="non-virtual"><scope>cy_stc_dma_descriptor_config_t</scope><name>descriptorType</name></member>
      <member prot="public" refid="structcy__stc__dma__descriptor__config__t_1a02bb836b663f7bdf8979e806dc813917" virt="non-virtual"><scope>cy_stc_dma_descriptor_config_t</scope><name>dstAddress</name></member>
      <member prot="public" refid="structcy__stc__dma__descriptor__config__t_1af060eb3020cb431eb42065b93350285b" virt="non-virtual"><scope>cy_stc_dma_descriptor_config_t</scope><name>dstTransferSize</name></member>
      <member prot="public" refid="structcy__stc__dma__descriptor__config__t_1a389c0565be605fcda996e76eb9552853" virt="non-virtual"><scope>cy_stc_dma_descriptor_config_t</scope><name>dstXincrement</name></member>
      <member prot="public" refid="structcy__stc__dma__descriptor__config__t_1afb2f61e8c6c07c5dde46b9a3407f526b" virt="non-virtual"><scope>cy_stc_dma_descriptor_config_t</scope><name>dstYincrement</name></member>
      <member prot="public" refid="structcy__stc__dma__descriptor__config__t_1a24d1190242541ecaacf98b3f88fbb76f" virt="non-virtual"><scope>cy_stc_dma_descriptor_config_t</scope><name>interruptType</name></member>
      <member prot="public" refid="structcy__stc__dma__descriptor__config__t_1a6bbdfa16f3b38866a9e6d4242814b45e" virt="non-virtual"><scope>cy_stc_dma_descriptor_config_t</scope><name>nextDescriptor</name></member>
      <member prot="public" refid="structcy__stc__dma__descriptor__config__t_1afcc039279bc1e7d50b0813778772f3c0" virt="non-virtual"><scope>cy_stc_dma_descriptor_config_t</scope><name>retrigger</name></member>
      <member prot="public" refid="structcy__stc__dma__descriptor__config__t_1a2d445d72c32caec445defca4ef8898cf" virt="non-virtual"><scope>cy_stc_dma_descriptor_config_t</scope><name>srcAddress</name></member>
      <member prot="public" refid="structcy__stc__dma__descriptor__config__t_1aa79133a1c99f1802ced9e31a4970f623" virt="non-virtual"><scope>cy_stc_dma_descriptor_config_t</scope><name>srcTransferSize</name></member>
      <member prot="public" refid="structcy__stc__dma__descriptor__config__t_1af487efdef7f9cd209f783d24ce1a4bd9" virt="non-virtual"><scope>cy_stc_dma_descriptor_config_t</scope><name>srcXincrement</name></member>
      <member prot="public" refid="structcy__stc__dma__descriptor__config__t_1a74d85b6aacd82758cfa183f20787fb50" virt="non-virtual"><scope>cy_stc_dma_descriptor_config_t</scope><name>srcYincrement</name></member>
      <member prot="public" refid="structcy__stc__dma__descriptor__config__t_1a812ec882fb732307e9fd783f56424b4c" virt="non-virtual"><scope>cy_stc_dma_descriptor_config_t</scope><name>triggerInType</name></member>
      <member prot="public" refid="structcy__stc__dma__descriptor__config__t_1a52d032ede5148bd7ccd876a889a75b6e" virt="non-virtual"><scope>cy_stc_dma_descriptor_config_t</scope><name>triggerOutType</name></member>
      <member prot="public" refid="structcy__stc__dma__descriptor__config__t_1a23df6ae648618339b9221ad95363f328" virt="non-virtual"><scope>cy_stc_dma_descriptor_config_t</scope><name>xCount</name></member>
      <member prot="public" refid="structcy__stc__dma__descriptor__config__t_1a4708f3e8e216ff8a637cf9caf6084f23" virt="non-virtual"><scope>cy_stc_dma_descriptor_config_t</scope><name>yCount</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>